API docs / Image models

depth-of-field API

Bring your subjects into focus with FLUX.1 Kontext [pro]

Model id
flux-kontext-apps/depth-of-field
Provider
flux-kontext-apps
Output
Image
Price
From 14 credits per run, the same as on voor.ai. Options such as length or resolution can change it.

Request

POST https://voor.ai/v1/generations with "model": "flux-kontext-apps/depth-of-field". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.

curl https://voor.ai/v1/generations \
  -H "Authorization: Bearer $VOOR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "flux-kontext-apps/depth-of-field",
  "input": {
    "reference_images": [
      "https://example.com/input.png"
    ]
  },
  "callback_url": "https://example.com/webhooks/voor"
}'

# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
  -H "Authorization: Bearer $VOOR_API_KEY"

Input parameters

NameTypeDetails
reference_imagesrequiredarray of URLs

Image to add professional background blur effects. Must be jpeg, png, gif, or webp.

Up to 1 files · Accepts image/*

aspect_ratiostring

Default: match_input_image

One of: match_input_image, 1:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3, 4:5, 5:4, 21:9, 9:21, 2:1, 1:2

seednumber

Random seed. Set for reproducible generation

output_formatstring

Default: png

One of: jpg, png

blur_effectstring

Default: ultra shallow depth of field

One of: Random, extreme background blur, maximum bokeh effect, ultra shallow depth of field, professional portrait blur, cinematic depth of field, studio photography blur, dramatic background blur, creamy smooth bokeh, intense background separation, golden hour lighting with background blur, dramatic rim lighting with blur, professional studio lighting with bokeh, moody lighting with background blur, high-key lighting with blur, low-key dramatic lighting with blur, 85mm lens background separation, telephoto compression blur, portrait lens blur, fashion photography blur, headshot photography blur, dreamy ethereal background blur, film photography vintage blur, commercial photography blur, editorial style background blur, luxury portrait blur

genderstring

Default: none

One of: none, male, female